// 修改一姬语音台词以及人物简介
requestAnimationFrame(function autoRun() {
  try {
    const arrBackup = cfg.voice.sound.groups_
    if (!arrBackup || arrBackup.length === 0) {
      throw new Error();
    }
    console.log('Hacked语音文本');
    Object.entries(cfg.voice.sound.groups_).forEach(([soundID, soundGroup]) => {
      if (soundID == 1) {
        const changeMap = {
          "获得语音": {
            "words": 'notyet',
          },
          "登录语音普通": {
            "words": 'Oh hi, grab yourself a seat.'
          },
          "登录语音满羁绊": {
            "words": 'Oh here you are. The black tea is ready.'
          },
          "大厅交互语音1": {
            "words": 'This goes here, that goes there. Come on, I swear I will beat you if you mess things up again next time.'
          },
          "大厅交互语音2": {
            "words": 'Abs? How, can, I, have, that?'
          },
          "大厅交互语音3": {
            "words": 'Tsk, why is your room so messy? Get up now! I will clean the floor, you go clean the table. Move, now!'
          },
          "大厅交互语音4": {
            "words": 'Hey... Sometimes, even you can put on a serious face. What a surprise.'
          },
          "大厅交互语音5": {
            "words": 'Are you tired? Come sit down for a rest. I\'ve got tea and snacks prepared for you. You want a massage? Hohoho, sure, let me give you a GOOD one... Wait, why are you running away?'
          },
          "大厅交互语音6": {
            "words": 'Hmm... Oh! That was a good move. Looks like you are getting a lot better. Play with me later! I\'ll test your skill level!'
          },
          "大厅交互语音7": {
            "words": 'You look so free everyday. How about spending a little more time to improve your Mahjong skills?'
          },
          "大厅交互语音8": {
            "words": 'Hah... I have never worn such a soft maid costume. But it actually feels good moving in it.'
          },
          "送礼物语音普通": {
            "words": 'notyet'
          },
          "送礼物语音喜好": {
            "words": 'notyet'
          },
          "好感度升级语音1": {
            "words": 'notyet'
          },
          "好感度升级语音2": {
            "words": 'notyet'
          },
          "好感度升级语音3": {
            "words": 'notyet'
          },
          "好感度升级语音4": {
            "words": 'notyet'
          }
        };
        soundGroup.forEach(soundObject => {
          soundObject.level_limit = 0;
          if (changeMap.hasOwnProperty(soundObject.name_chs)) {
            for (let [key, val] of Object.entries(changeMap[soundObject.name_chs])) {
              ['_chs', '_en', '_jp'].forEach(suffix => soundObject[key + suffix] = val)
            }
          }
        });
      }
    });
    console.log('Hacked简介文本');
    cfg.item_definition.character.rows_.forEach(chr => {
      const helper = (key, val) => {
        ['', '_chs', '_en', '_jp'].forEach(suffix => chr[key + suffix] = val)
      };
      switch (chr.id) {
        case 200001:
          chr.name = '神楽めあ';
          chr.name_chs = '神楽めあ';
          chr.name_en = 'Riu Kujou';
          chr.name_jp = '赤木しげる';
          helper('desc_cv', 'Ami Koshimizu');
          helper('desc', 'Like Chiori, Riu was also born in Tokyo. Her father and Chiori\'s father are good friends. Because Chiori\'s parents are away from home most of the time, Riu has been living with Chiori and taking care of her like an elder sister ever since they were children. She also started playing Mahjong because of Chiori. Over time, Kujoi fell in love with the game. Her hobby is to collect all kinds of beautiful dresses.');
          helper('desc_age', '19');
          helper('desc_birth', '29th November');
          helper('desc_bloodtype', 'O');
          helper('desc_hobby', 'Taekwondo, black tea, clothing');
          helper('desc_stature', '161 cm ');
          break;
      }
    });
  } catch (error) {
    raf = requestAnimationFrame(autoRun);
  }
});
(function () {
  console.log("加入开局语音及胡牌语音");
  const oldNewRoundplay = view.ActionNewRound.play;
  view.ActionNewRound.play = function (e) {
    if (view.DesktopMgr.Inst["player_datas"][view.DesktopMgr.Inst["seat"]]["character"]["charid"] === 200001)
      Laya.SoundManager.playSound("sound/game_start_200001.mp3", 1, {
        run: () => {}
      });
    return oldNewRoundplay.call(this, e)
  }
  const oldmehule = view.ViewPlayer_Me.prototype.HulePrepare;
  view.ViewPlayer_Me.prototype.HulePrepare = function (e, i, n) {
    if (view.DesktopMgr.Inst["current_step"] > 0 && view.DesktopMgr.Inst["player_datas"][view.DesktopMgr.Inst["seat"]]["character"]["charid"] === 200001)
      Laya.SoundManager.playSound("sound/hupai_200001.mp3", 1, {
        run: () => {}
      });
    return oldmehule.call(this, e, i, n)
  }
})();
